<?php

    /**
     *	Cleditor plugin
     *	@package TemplateCMS
     *  @subpackage Plugins
     *	@author Romanenko Sergey / Awilum
     *	@copyright 2011 Romanenko Sergey / Awilum
     *	@version 1.0.0
     *
     */


    // Register plugin
    registerPlugin( getPluginId(__FILE__),
                    getPluginFilename(__FILE__),
                    '<a href="#">Cleditor</a>|box',
                    '1.0.0',
                    'Cross browser, extensible, WYSIWYG HTML editor http://premiumsoftware.net/cleditor/',
                    'Awilum',
                    'http://awilum.webdevart.ru/',
                    '');


    // Add hooks
    addHook('admin_editor','editor',array());
    addHook('admin_editor_secondary','editor2',array());
    addHook('admin_header','editorHeaders');


    /**
     * Render editor
     * @param string $val editor data
     */
    function editor($val=null) {                
        echo '<textarea style="width: 800px; height:350px;" id="editor_area" name="editor" >'.$val.'</textarea>';
    }

    /**
     * Render secondary editor
     * @param string $val editor data
     */	
    function editor2($val=null) {               
        echo '<textarea style="width: 800px; height:200px;" id="editor_area2" name="editor_secondary" >'.$val.'</textarea>';
    }

    /**
     * Set editor headers
     */
    function editorHeaders() {                
        echo '
            <link rel="stylesheet" type="text/css" href="'.getSiteUrl(false).'/plugins/box/cleditor/cleditor/jquery.cleditor.css" />    
            <script type="text/javascript" src="'.getSiteUrl(false).'/plugins/box/cleditor/cleditor/jquery.cleditor.min.js"></script>
            <script type="text/javascript" src="'.getSiteUrl(false).'/plugins/box/cleditor/cleditor/jquery.cleditor.xhtml.min.js"></script>
            <script type="text/javascript" src="'.getSiteUrl(false).'/plugins/box/cleditor/cleditor/jquery.cleditor.table.min.js"></script>            
            <script type="text/javascript">
              $(document).ready(function() {        
                  $("#editor_area,#editor_area2").cleditor({        
                      width:        800, 
                      height:       400, 
                      controls:    
                                    "bold italic underline strikethrough subscript superscript | font size " +
                                    "style | color highlight removeformat | bullets numbering | outdent " +
                                    "indent | alignleft center alignright justify | undo redo | " +
                                    "rule table image link unlink | pastetext | source",
                      colors:      
                                    "FFF FCC FC9 FF9 FFC 9F9 9FF CFF CCF FCF " +
                                    "CCC F66 F96 FF6 FF3 6F9 3FF 6FF 99F F9F " +
                                    "BBB F00 F90 FC6 FF0 3F3 6CC 3CF 66C C6C " +
                                    "999 C00 F60 FC3 FC0 3C0 0CC 36F 63F C3C " +
                                    "666 900 C60 C93 990 090 399 33F 60C 939 " +
                                    "333 600 930 963 660 060 366 009 339 636 " +
                                    "000 300 630 633 330 030 033 006 309 303",    
                      fonts:       
                                    "Arial,Arial Black,Comic Sans MS,Courier New,Narrow,Garamond," +
                                    "Georgia,Impact,Sans Serif,Serif,Tahoma,Trebuchet MS,Verdana",
                      sizes:       
                                    "1,2,3,4,5,6,7",
                      styles:      
                                    [["Paragraph", "<p>"], ["Header 1", "<h1>"], ["Header 2", "<h2>"],
                                    ["Header 3", "<h3>"],  ["Header 4","<h4>"],  ["Header 5","<h5>"],
                                    ["Header 6","<h6>"]],
                      
                      useCSS:       false,

                      docCSSFile: "", 
                      bodyStyle: "margin:4px; font:10pt Arial,Verdana; cursor:text"
                 });
              });
            </script>
        ';
    }